How to install laravel on xampp?


HOME » Unix

I'm using the latest version of manjaro 64 bit and latest version
of xampp. I want to install composer and laravel, tried many solutions
on stackoverflow and askubuntu. Everytime I see a different error,
like openssl and phar are missing and stuff like that. but in fact
nothing is mising, I enabled them fromphp.ini



So is there any manjaro user/archer who got Laravel to work on
xampp? how?



Edit



php -i | grep ini outputs



▶ php -i | grep ini                                      

PHP Warning: PHP Startup: Unable to load dynamic library
'/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/mcrypt.dll' -
/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/mcrypt.dll:
cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning: PHP Startup: Unable to load dynamic library
'/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_openssl.dll'
-
/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_openssl.dll:
cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning: PHP Startup: Unable to load dynamic library
'/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_phar.dll'
-
/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_phar.dll:
cannot open shared object file: No such file or directory in Unknown
on line 0
Configuration File (php.ini) Path => /opt/lampp/etc
Loaded Configuration File => /opt/lampp/etc/php.ini
Scan this dir for additional .ini files => (none)
Additional .ini files parsed => (none)
user_ini.cache_ttl => 300 => 300
user_ini.filename => .user.ini => .user.ini
Supported handlers => gdbm cdb cdb_make inifile flatfile
init_command_executed_count => 0
init_command_failed_count => 0
com_init_db => 0
Classes => AppendIterator, ArrayIterator, ArrayObject,
BadFunctionCallException, BadMethodCallException, CachingIterator,
CallbackFilterIterator, DirectoryIterator, DomainException,
EmptyIterator, FilesystemIterator, FilterIterator, GlobIterator,
InfiniteIterator, InvalidArgumentException, IteratorIterator,
LengthException, LimitIterator, LogicException, MultipleIterator,
NoRewindIterator, OutOfBoundsException, OutOfRangeException,
OverflowException, ParentIterator, RangeException,
RecursiveArrayIterator, RecursiveCachingIterator,
RecursiveCallbackFilterIterator, RecursiveDirectoryIterator,
RecursiveFilterIterator, RecursiveIteratorIterator,
RecursiveRegexIterator, RecursiveTreeIterator, RegexIterator,
RuntimeException, SplDoublyLinkedList, SplFileInfo, SplFileObject,
SplFixedArray, SplHeap, SplMinHeap, SplMaxHeap, SplObjectStorage,
SplPriorityQueue, SplQueue, SplStack, SplTempFileObject,
UnderflowException, UnexpectedValueException
open sourced by => Epinions.com
PHPRC => /opt/lampp/etc/php.ini
$_SERVER['PHPRC'] => /opt/lampp/etc/php.ini



  1. href="http://askubuntu.com/questions/604522/install-composer-and-configure-with-xampp">This
    is exactly how i installed composer. I did what both
    answers said

  2. My rel="nofollow">/opt/lampp/etc/php.ini as you can see, everything
    needed is loaded.

  3. This href="https://www.archlinux.org/packages/extra/x86_64/php-mcrypt/"
    rel="nofollow">php-mcrypt is installed, it comes with its own php
    version but I'm not using that, I'm using Xampp's version

  4. I'm using newest version of xampp 64 bit, the one that comes with
    PHP 7, same issue with previous versions.

  5. In my zshrc I have




export PHPRC=/opt/lampp/etc/php.ini 
export PATH=$PATH:/opt/lampp/bin



If I manage to correctly load openssl, mcrypt and phar, i think all
my problems will be solved. Composer seems to install without problems
but issues start to popup when I install laravel, it also installs
without problems but displays warnings shown above.

I downloaded x64-5.6.3-0-installer.run. I right click on it go to
permissions click "is executable", click ok.



Then go in Konsole on the download folder: and type sudo su then
type:
./xampp-linux-x64-5.6.3-0-installer.run



Then the XAMPP setup appears, I click next, next,next,(unclick
learn more about bitnami for xampp)next,click next, keep the cross on
launch xampp, click on finish



Then the menu appears with on the top welcome, manage servers,
application log and a google chrome pop up appears and says : please
start google chrome as a normal user. To run as root, you must specify
as alternate --user- data-dir for storage of profile information.



I press ok, I press get started the same google message appears...
I go to manage servers and press start all and only proftd turns on
but mysql and apache web are not turned on...



I've looking around for some times, your help will really relax
me.

Ubuntu

I looked around for an answer to this question, but couldn't find
anything.



Just wondering, is there a way to tell Composer to require
additional packages during a laravel 4 installation?



For example:
If I want to always use the Entrust package in all my laravel
projects, instead of having to require it every time I create a new
laravel project, can I tell my Composer to also require the Entrust
package when I run composer create-project laravel/laravel
--prefer-dist



Thanks

Web Development

I successfully installed xampp yesterday.
I say successfully, because I was able to start the server using
sudo /opt/lampp/lampp start, and xampp index page worked
perfectly.



I then decided to enable automatic start after logging in:



Pasted this in the terminal:



sudo gedit /etc/init.d/lampp


Pasted this in the document:



#!/bin/bash
/opt/lampp/lampp start


Saved and closed



Then run this to make it executable:



sudo chmod +x /etc/init.d/lampp


When I try to run: sudo update-rc.d lampp defaults
I get this an error<br />
message



Now my opt folder is empty, obs the image below: src="http://i.stack.imgur.com/2WV84.png" alt="empty opt folder">



and I am unable to run the xampp server src="http://i.stack.imgur.com/mAmUJ.png" alt="dead xampp link">



Can someone help explain what I did wrong?



Looking forward to your help.

Ubuntu

My Problem is . i have trouble to install the laravel framework on
xampp.



Question: i try here to install xampp to mac os x. i get this back
: after which php i get this /usr/bin/php but i need
this.... /Applications/XAMPP/xamppfiles/bin/php ? how or where is the
problem.?
let me know.



hallo
someone
can
help
me
with
the
install



Last login: Mon Jan 5 03:49:16 on ttys000
Space-Odysseys-Mac-Pro:~ spaceodyssey$ cd
/Applications/XAMPP/htdocs/L666
Space-Odysseys-Mac-Pro:L666 spaceodyssey$ ls
CONTRIBUTING.md artisan composer.json public server.php
app bootstrap phpunit.xml readme.md
Space-Odysseys-Mac-Pro:L666 spaceodyssey$ which php
/usr/bin/php
Space-Odysseys-Mac-Pro:L666 spaceodyssey$
Space-Odysseys-Mac-Pro:L666 spaceodyssey$



I'm happy to know how get this path after the which php >>>
/Applications/XAMPP/xamppfiles/bin/php

Web Development

I'm having trouble with Ubuntu 14.04, Xampp and Laravel. I'm
getting Mcrypt PHP extension required. Script php artisan
clear-compiled handling the post-install-cmd event returned with an
error
when try to install laravel.



I know there are several thread on it and I tried most of them but
no luck.



Please help.

Ubuntu

I'm using the latest version of manjaro 64 bit and latest version
of xampp. I want to install composer and laravel, tried many solutions
on stackoverflow and askubuntu. Everytime I see a different error,
like openssl and phar are missing and stuff like that. but in fact
nothing is mising, I enabled them fromphp.ini



So is there any manjaro user/archer who got Laravel to work on
xampp? how?



Edit



php -i | grep ini outputs



▶ php -i | grep ini                                      

PHP Warning: PHP Startup: Unable to load dynamic library
'/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/mcrypt.dll' -
/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/mcrypt.dll:
cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning: PHP Startup: Unable to load dynamic library
'/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_openssl.dll'
-
/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_openssl.dll:
cannot open shared object file: No such file or directory in Unknown
on line 0
PHP Warning: PHP Startup: Unable to load dynamic library
'/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_phar.dll'
-
/opt/lampp/lib/php/extensions/no-debug-non-zts-20151012/php_phar.dll:
cannot open shared object file: No such file or directory in Unknown
on line 0
Configuration File (php.ini) Path => /opt/lampp/etc
Loaded Configuration File => /opt/lampp/etc/php.ini
Scan this dir for additional .ini files => (none)
Additional .ini files parsed => (none)
user_ini.cache_ttl => 300 => 300
user_ini.filename => .user.ini => .user.ini
Supported handlers => gdbm cdb cdb_make inifile flatfile
init_command_executed_count => 0
init_command_failed_count => 0
com_init_db => 0
Classes => AppendIterator, ArrayIterator, ArrayObject,
BadFunctionCallException, BadMethodCallException, CachingIterator,
CallbackFilterIterator, DirectoryIterator, DomainException,
EmptyIterator, FilesystemIterator, FilterIterator, GlobIterator,
InfiniteIterator, InvalidArgumentException, IteratorIterator,
LengthException, LimitIterator, LogicException, MultipleIterator,
NoRewindIterator, OutOfBoundsException, OutOfRangeException,
OverflowException, ParentIterator, RangeException,
RecursiveArrayIterator, RecursiveCachingIterator,
RecursiveCallbackFilterIterator, RecursiveDirectoryIterator,
RecursiveFilterIterator, RecursiveIteratorIterator,
RecursiveRegexIterator, RecursiveTreeIterator, RegexIterator,
RuntimeException, SplDoublyLinkedList, SplFileInfo, SplFileObject,
SplFixedArray, SplHeap, SplMinHeap, SplMaxHeap, SplObjectStorage,
SplPriorityQueue, SplQueue, SplStack, SplTempFileObject,
UnderflowException, UnexpectedValueException
open sourced by => Epinions.com
PHPRC => /opt/lampp/etc/php.ini
$_SERVER['PHPRC'] => /opt/lampp/etc/php.ini



  1. href="http://askubuntu.com/questions/604522/install-composer-and-configure-with-xampp">This
    is exactly how i installed composer. I did what both
    answers said

  2. My rel="nofollow">/opt/lampp/etc/php.ini as you can see, everything
    needed is loaded.

  3. This href="https://www.archlinux.org/packages/extra/x86_64/php-mcrypt/"
    rel="nofollow">php-mcrypt is installed, it comes with its own php
    version but I'm not using that, I'm using Xampp's version

  4. I'm using newest version of xampp 64 bit, the one that comes with
    PHP 7, same issue with previous versions.

  5. In my zshrc I have




export PHPRC=/opt/lampp/etc/php.ini 
export PATH=$PATH:/opt/lampp/bin



If I manage to correctly load openssl, mcrypt and phar, i think all
my problems will be solved. Composer seems to install without problems
but issues start to popup when I install laravel, it also installs
without problems but displays warnings shown above.

Unix

- Technology - Languages
+ Webmasters
+ Development
+ Development Tools
+ Internet
+ Mobile Programming
+ Linux
+ Unix
+ Apple
+ Ubuntu
+ Mobile & Tablets
+ Databases
+ Android
+ Network & Servers
+ Operating Systems
+ Coding
+ Design Software
+ Web Development
+ Game Development
+ Access
+ Excel
+ Web Design
+ Web Hosting
+ Web Site Reviews
+ Domain Name
+ Information Security
+ Software
+ Computers
+ Electronics
+ Hardware
+ Windows
+ PHP
+ ASP/ASP.Net
+ C/C++/C#
+ VB/VB.Net
+ JAVA
+ Javascript
+ Programming
Privacy Policy - Copyrights Notice - Feedback - Report Violation 2018 © BigHow